### Function

# RB RefString find

#### Declaration [src]

    RBRefString*
    rb_refstring_find (
      const char* init
    )

#### Description [src]

Returns an existing `RBRefString` for `init` if one exists, otherwise returns NULL. If an existing refstring is found, its reference count is increased.

#### Parameters

`init`

  Type: `const char*`

  String to find.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RBRefString`

Existing `RBRefString`, or NULL.

The caller of the function takes ownership of the data, and is responsible for freeing it.